Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85450 - pppd does not have IPv6 compiled in, contrary to the documentation
Summary: pppd does not have IPv6 compiled in, contrary to the documentation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-02 23:04 UTC by Michael H. Warfield
Modified: 2015-01-08 00:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-17 09:22:59 UTC


Attachments (Terms of Use)

Description Michael H. Warfield 2003-03-02 23:04:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
When attempting to use IPv6 over ppp, pppd complains that the ipv6 keyword is
not recognized and refuses to negotiate IPv6 even though the ipv6 parameters and
data are in the documentation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add keyword "ipv6" plus a link identifier "::1" to options file
2. Attempt to invoke pppd with those options
3. Note error in syslog ipv6 unrecognized
4. Check man page
5. Note presence of ipv6 parameters
    

Actual Results:  pppd failed

Expected Results:  pppd should have started and negotiated a connection with
both IPv4 and IPv6.

Additional info:

Inspection of the source RPMS reveals that a patch file for the Makefile SHOULD
have changed "HAVE_IPv6" from no to yes but didn't.  Consequently, pppd was
built without IPv6 support.  Rebuilding the rpm after modifying the Makefile
patch resulted in a pppd build which correctly supports IPv6.

This has been verified on RedHat 7.2, 7.3, and 8.0.

Comment 1 Michael H. Warfield 2003-03-09 22:22:08 UTC
Minor correction...

My earlier statement...

===
Inspection of the source RPMS reveals that a patch file for the Makefile SHOULD
have changed "HAVE_IPv6" from no to yes but didn't.  Consequently, pppd was
built without IPv6 support. Rebuilding the rpm after modifying the Makefile
patch resulted in a pppd build which correctly supports IPv6.
===

Should have been..

The patch file "ppp-2.4.1-make.patch" should have changed "#HAVE_INET6=y" to
"HAVE_INET6=y".  It does not uncomment the enabling statement for IPv6.  It
NEEDS TO.


Comment 2 Pekka Savola 2003-09-01 21:37:04 UTC
Ping pong.  Any news on this? :-)

Comment 3 Michael H. Warfield 2004-01-12 17:45:51 UTC
This bug is still open and still exists in Fedora-core-1.  It's a
simple fix to the patch file and needs fixing.  Is there some reason
why it hasn't been fixed or why it can't be fixed?

Comment 4 David Woodhouse 2004-05-26 07:19:07 UTC
Please try the RPMS at ftp://pentafluge.infradead.org/pub/ppp6

Comment 5 Thomas Woerner 2004-08-17 09:22:59 UTC
Fixed in FC2 in rpm ppp-2.4.2-1 or newer.

Comment 6 Eric Moret 2004-12-15 07:24:53 UTC
Could you please backport fix to RHEL3. Namely package ppp-2.4.1-
14.1.i386.rpm

Thanks,
__
Eric


Note You need to log in before you can comment on or make changes to this bug.